to post messages and comments.

два года назад пытался пользоваться эклипсом, но перестал из-за досадного бага индексера (при использовании членов безымянных объединений эклипс ругался, что не знает их). прошло совсем немного времени, и вот, сегодня баг закрыли!

У меня на ubuntu 14.04 какая-то страннота творится. Eclipse запускается, а Zend Studio падает с ошибкой. Перепробовал уже все доступные java от openjdk6 до oracle java 8. Ни в какую.
Кто-нибудь может опровергнуть или подтвердить этот факт?

Я правильно понимаю, что для того, чтобы мне заимпортировать сорцы фряхи в eclipse под Windows мне придётся сделать примерно всю такую же ебаторию, которая описана в вики eclipse для Linux? wiki.eclipse.org

Блять, я ненавижу красноглазую хуиту.

Очень нужна помощь зала. Гуглёшь ни к каким результатам не привёл.

Проблема. При выделении в eclipse наблюдаются артефакты как на изображении.
OS Ubuntu 13.04
ядро 3.8.0-32
видео nvidia 740M, интегрёная intel
bumblebee установлен
java тут я пробовал всё что у меня установлено от openJDK6 до oracle7

Больше нигде такой проблемы нет. Куда смотреть, чтобы это исправить? Работать не комфортно в таких условиях.

Перлизация java: компилятор проглотил выражение someVariable = ClassName// here is a one-line comment\n.someStaticMethodOfClassName — где \n там стоит перевод строки, новая строка начинается с отступа, точки и последующего имени метода. Eclipse и я такого не поняли нифига.

Обновил eclipse до 4.3 (Kepler). Полёт нормальный. Нового ничего не обнаружил. Деградаций тоже нет, не считая, что воркспейс пришлось заново создавать, потому что имеющийся подхватился как-то криво.

С каждым разом все лучше и лучше. В этот раз вообще без всяких проблем в день релиза все нужное поставил из маркета и все нормально подхватилось. Да и производительность подкрутили.

В пояснение своей тяги к гуевым IDE — работаю в конторе, где используется двенадцатая студия, а так как на работе провожу большую часть времени, то со временем сложилась привычка иметь гуевую IDE.

Таки поставил себе на праздниках линь. Снова. На этот раз поставил Mint. На удивление, дистрибутив оказался самым жизнеспособным из всех, что я пробовал(год с лишним на дебиан с ion wm не в счет). Правда cusp для eclipse(а mint у меня x86-64) так и не завелся, подумываю перепилить его. Ну или снова на emacs+slime вернусь, еще не решил.

Итак, опытным путем выяснил, в какой конфигурации компонентов KIS 2013 (все остальные настройки по умолчанию) ПО Eclipse и Android SDK Manager работают нормально, без ошибок.

Конфигурация компонентов должна быть следующая ("+" = включено, "-" = выключено):
+ Файловый антивирус
— Почтовый антивирус
— Веб-антивирус
— IM-антивирус
+ Контроль программ
+ Мониторинг активности
+ Сетевой экран
+ Защита от сетевых атак
— Анти-спам
— Анти-баннер
— Безопасные платежи

После включения ЛЮБОГО из выключенных в такой конфигурации компонентов Eclipse при выполнении "Check for updates" начинает выдавать ошибки. Android SDK Manager также начинает выдавать ошибки. Включение утилит в "Доверенные" не помогает.

сначала несколько минут наблюдал слайд-шоу, в котором напечатаное неспешно буква за буквой наконец отображалось на экране. Потом попробовал завершить эту красоту, но лишь воткнулся в никак не раегирующее окно "operation in progress". После killall java оно, как я и думал, отказалось запускаться с записью "java.lang.NoClassDefFoundError: Could not initialize class org.eclipse.jface.preference.PreferenceConverter" в логе. Привычным движением удаляем .metadata, создаем новый проект из существующего кода, копируем в workspace(иначе ругается, что новый проект занимает место текущего, что, в общем-то, правильно — где же ему еще быть?). Начинает доходить, почему в основном дереве есть только 3.7 — видимо, в случае eclipse примерно как с убунтой — релиз без сервис-пака — еще бета

после присоединения библиотеки все лейауты потеряли строки, пришлось вручную копировать из values-ru в values. Правда, ни копирование ic_launcher.png из drawable-ldpi, ни уменьшение изображения до 16 пикселей не убирают "Couldn't resolve resource @drawable/ic_launcher"